Subject: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Michael Albinus <[email-masked]>
Date: Wed, 27 Oct 2021 13:55:37 +0200

Gregory Heytings <[email-masked]> writes:

Hi Gregory,

> 2. With my patch:
>
> 2.1. With (substring) alone, nothing works, Tramp methods and
> hostnames are not recognized, which is at least coherent with what the
> manual says: "User name and host name completion is activated only, if
> file name completion has one of the styles 'basic', 'emacs21', or
> 'emacs22'".

Yes. But this statement in the Tramp manual isn't a feature. It rather
explains an error, and how to work around. So no, (substring) alone
doesn't "work".

Best regards, Michael.